MalformedCachePatternException (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.text.MalformedCachePatternException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.text
Class MalformedCachePatternException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.oro.text.MalformedCachePatternException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MalformedPerl5PatternException

public class MalformedCachePatternException
extends java.lang.RuntimeException

An exception used to indicate errors in a regular expression fetched from a PatternCache. It is derived from RuntimeException, and therefore does not have to be caught. You should generally make an effort to catch MalformedCachePatternException whenever you use dynamically generated patterns (from user input or some other source). Static expressions represented as strings in your source code don't require exception handling because as you write and test run your program you will correct any errors in those expressions when you run into an uncaught MalformedCachePatternException. By the time you complete your project, those static expressions will be guaranteed to be correct. However, pieces of code with expressions that you cannot guarantee to be correct should catch MalformedCachePatternException to ensure reliability.

Since:
  1.0
Version:
  2.0.8
See Also:
  `PatternCache`, Serialized Form

Constructor Summary
`MalformedCachePatternException()` Simply calls the corresponding constructor of its superclass.
`MalformedCachePatternException(java.lang.String message)` Simply calls the corresponding constructor of its superclass.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedCachePatternException

    public MalformedCachePatternException()

  Simply calls the corresponding constructor of its superclass.

### MalformedCachePatternException

    public MalformedCachePatternException(java.lang.String message)

  Simply calls the corresponding constructor of its superclass.

Parameters:
  `message` - A message indicating the nature of the error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.